The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Easyapache (Apache 2.4 + PHP5.5) fails with tar xzf of /path/file/ exited with 512

Discussion in 'EasyApache' started by stormthefront, May 11, 2015.

  1. stormthefront

    stormthefront Member

    Joined:
    Apr 15, 2012
    Messages:
    11
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    Hey guys,

    I have several (up to 10) production servers that are set up identically.

    2.6.32-531.29.2.lve1.3.11.1.el6.x86_64 (cloudlinux)

    Now on all machines except ONE, easyapache does the job and updates apache to 2.4 and php to 5.5 with MPM prefork and fgci enabled. The one that fails show curious symptoms such as

    Code:
    [SIZE=3]tar: php-5.5.24/tests/classes/interface_class.phpt: Cannot open: Permission denied
    tar: php-5.5.24/tests/classes/static_this.phpt: Cannot open: Permission denied
    tar: php-5.5.24/tests/classes/property_override_private_privateStatic.phpt: Cannot open: Permission denied
    tar: php-5.5.24/tests/classes/iterators_003.phpt: Cannot open: Permission denied
    
    Output from 'ls -l /var/cpanel/perl/easy/Cpanel/Easy/PHP5/5_24.pm.tar.gz':
    -rw-r--r-- 1 root root 17499914 May 10 01:26 /var/cpanel/perl/easy/Cpanel/Easy/PHP5/5_24.pm.tar.gz
    
    Output from 'lsattr /var/cpanel/perl/easy/Cpanel/Easy/PHP5/5_24.pm.tar.gz':
    -------------e- /var/cpanel/perl/easy/Cpanel/Easy/PHP5/5_24.pm.tar.gz[/SIZE]
    
    [SIZE=3]!! tar xzf of '/var/cpanel/perl/easy/Cpanel/Easy/PHP5/5_24.pm.tar.gz' exited with '512' !![/SIZE]
    

    The only thing I noticed that is different between the successful servers and the faulty one is the version of the following perl module Cpanel::Easy::Apache

    On all working servers it is Cpanel::Easy::Apache v3.28.8 rev9999 +cloudlinux while on the non working server it is Cpanel::Easy::Apache v3.28.1 rev9999 +cloudlinux

    As per your documentation "cPanel no longer uses /usr/bin/perl and provides its perl modules as a set of RPMs.". How am I to go about updating the module? At this point there is no other reason I can come up with for the easyapache to fail as it says its version is Easy Apache v3.28.8 while the module is v3.28.1

    Thank you
     
  2. stormthefront

    stormthefront Member

    Joined:
    Apr 15, 2012
    Messages:
    11
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    Thanks for moderating my comment without reading it and adding the closing code tag after non code sentences!
     
  3. Infopro

    Infopro cPanel Sr. Product Evangelist
    Staff Member

    Joined:
    May 20, 2003
    Messages:
    14,463
    Likes Received:
    195
    Trophy Points:
    63
    Location:
    Pennsylvania
    cPanel Access Level:
    Root Administrator
    Twitter:
    Too many different sizes, it was hard to read. Curious that you used so many like that.
     
  4. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,762
    Likes Received:
    662
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello,

    Feel free to open a support ticket using the link in my signature so we can take a closer look. You can post the ticket number here so we can update this thread with the outcome.

    Thank you.
     
Loading...

Share This Page